%global realname lager
%global upstream erlang-lager

Name:       erlang-%{realname}
Version:    3.8.1
Release:    %mkrel 1
BuildArch:  noarch
Summary:    A logging framework for Erlang/OTP
Group:      Development/Erlang
License:    ASL 2.0
URL:        http://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:  erlang-goldrush >= 0.1.9
BuildRequires:  erlang-rebar


%description
Lager (as in the beer) is a logging framework for Erlang. Its purpose is to
provide a more traditional way to perform logging in an erlang application that
plays nicely with traditional UNIX logging tools like logrotate and syslog.


%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%files
%license LICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Sun Dec 20 2020 wally <wally> 3.8.1-1.mga8
+ Revision: 1661511
- new version 3.8.1
- make pkg noarch

* Thu Sep 17 2020 guillomovitch <guillomovitch> 3.8.0-1.mga8
+ Revision: 1628030
- new version 3.8.0

* Wed Feb 12 2020 umeabot <umeabot> 3.6.5-3.mga8
+ Revision: 1510487
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 wally <wally> 3.6.5-2.mga7
+ Revision: 1295062
- revert noarch change
- new version 3.6.5 (sync with Fedora)
- noarch build

* Thu Nov 17 2016 neoclust <neoclust> 3.2.1-1.mga6
+ Revision: 1068022
- New version 3.2.1

* Fri May 06 2016 neoclust <neoclust> 3.2.0-1.mga6
+ Revision: 1009845
- imported package erlang-lager

